All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::host_based::detail::vector_array_wrapper< NumericT > Class Template Reference

Helper class for accessing a strided subvector of a larger vector. More...

`#include <common.hpp>`

## Public Types

typedef NumericT | value_type

## Public Member Functions

| vector_array_wrapper (value_type *A, vcl_size_t start, vcl_size_t inc)
value_type & | operator() (vcl_size_t i)

## Detailed Description

### template<typename NumericT>
class viennacl::linalg::host_based::detail::vector_array_wrapper< NumericT >

Helper class for accessing a strided subvector of a larger vector.

Definition at line 50 of file common.hpp.

## Member Typedef Documentation

template<typename NumericT>

typedef NumericT viennacl::linalg::host_based::detail::vector_array_wrapper< NumericT >::value_type

Definition at line 53 of file common.hpp.

## Constructor & Destructor Documentation

template<typename NumericT>

viennacl::linalg::host_based::detail::vector_array_wrapper< NumericT >::vector_array_wrapper | ( | value_type * | A,
|  | vcl_size_t | start,
|  | vcl_size_t | inc
| ) |  |

inline

Definition at line 55 of file common.hpp.

## Member Function Documentation

template<typename NumericT>

value_type& viennacl::linalg::host_based::detail::vector_array_wrapper< NumericT >::operator() | ( | vcl_size_t | i | ) |

inline

Definition at line 62 of file common.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/host_based/common.hpp